From f45cce985ba08558af7da354ec0178c01cd2c6a2 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 18 May 2022 20:35:02 +0200
Subject: [PATCH 25/34] Add slurm_msg_set_r_uid() to
 _persist_fed_job_lock_bool() and _agent_thread()

This seems to be missing from upstream as well.

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/fed_mgr.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/slurmctld/fed_mgr.c b/src/slurmctld/fed_mgr.c
index 49234972d0..d2e37bdb92 100644
--- a/src/slurmctld/fed_mgr.c
+++ b/src/slurmctld/fed_mgr.c
@@ -537,6 +537,7 @@ static int _persist_job_will_run(slurmdb_cluster_rec_t *conn,
 	req_msg.msg_type = REQUEST_SIB_JOB_WILL_RUN;
 	req_msg.data     = sib_msg;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
@@ -663,6 +664,7 @@ static int _persist_update_job(slurmdb_cluster_rec_t *conn,
 	req_msg.msg_type = REQUEST_UPDATE_JOB;
 	req_msg.data     = data;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
-- 
2.35.3


